iscsi_node_target_name_get(3)

NAME
iscsi_node_target_name_get - Retrieve target name of specified iSCSI node.

SYNOPSIS
const char * iscsi_node_target_name_get (struct iscsi_node *node);

ARGUMENTS

node
    Pointer of 'struct iscsi_node'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION
Retrieve the target name of specified iSCSI node.

EXAMPLES
"iqn.2003-01.org.linux-iscsi.org:iscsi-targetcli"

RETURN
const char *. No need to free this memory, the resources will get freed by iscsi_node_free or iscsi_nodes_free.